| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
IODirTableModel Class Reference
General

`#include <iodirtablemodel.h>`

Inheritance diagram for IODirTableModel:
[legend]

## Public Member Functions
| IODirTableModel (const IOObjContext &)
| ~IODirTableModel ()
void | setFilter (const char *)
Public Member Functions inherited from TableModel
virtual | ~TableModel ()
void | beginReset ()
void | endReset ()
QAbstractTableModel * | getAbstractModel ()
virtual char | getColumnFormatSpecifier (int col) const
virtual int | getColumnPrecision (int col) const
| mOD_DisableCopy (TableModel) virtual int nrRows() const =0

## Protected Member Functions
OD::Color | cellColor (int row, int col) const override
int | flags (int row, int col) const override
CellData | getCellData (int row, int col) const override
CellType | getColumnCellType (int col) const override
const EnumDef * | getEnumDef (int col) const override
uiString | headerText (int rowcol, OD::Orientation) const override
int | isChecked (int row, int col) const override
int | nrCols () const override
int | nrRows () const override
PixmapDesc | pixmap (int row, int col) const override
void | setCellData (int row, int col, const CellData &) override
void | setChecked (int row, int col, int val) override
OD::Color | textColor (int row, int col) const override
uiString | tooltip (int row, int col) const override
Protected Member Functions inherited from TableModel
| TableModel ()

## Protected Attributes
IODirEntryList * | iodirentrylist_
Protected Attributes inherited from TableModel
ODAbstractTableModel * | odtablemodel_

## Private Attributes
IODir * | iodir_

## Additional Inherited Members
Public Types inherited from TableModel
enum | CellType { Bool , Text , NumI , NumF , NumD , Color , Date , DateTime , Enum , Other }
enum | ItemFlag { NoFlags =0 , ItemSelectable =1 , ItemEditable =2 , ItemDragEnabled =4 , ItemDropEnabled =8 , ItemIsUserCheckable =16 , ItemEnabled =32 }

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ IODirTableModel()

IODirTableModel::IODirTableModel | ( | const IOObjContext & |  | ) |

## ◆ ~IODirTableModel()

IODirTableModel::~IODirTableModel | ( |  | ) |

## Member Function Documentation

## ◆ cellColor()

OD::Color IODirTableModel::cellColor | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## ◆ flags()

int IODirTableModel::flags | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## ◆ getCellData()

CellData IODirTableModel::getCellData | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## ◆ getColumnCellType()

CellType IODirTableModel::getColumnCellType | ( | int | col | ) | const
| override protected virtual

Reimplemented from TableModel.

## ◆ getEnumDef()

const EnumDef * IODirTableModel::getEnumDef | ( | int | col | ) | const
| override protected virtual

Reimplemented from TableModel.

## ◆ headerText()

uiString IODirTableModel::headerText | ( | int | rowcol,
|  | OD::Orientation | ) const
| override protected virtual

Implements TableModel.

## ◆ isChecked()

int IODirTableModel::isChecked | ( | int | row,
|  | int | col ) const
| override protected virtual

Reimplemented from TableModel.

## ◆ nrCols()

int IODirTableModel::nrCols | ( |  | ) | const
| override protected virtual

Implements TableModel.

## ◆ nrRows()

int IODirTableModel::nrRows | ( |  | ) | const
| override protected

## ◆ pixmap()

PixmapDesc IODirTableModel::pixmap | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## ◆ setCellData()

void IODirTableModel::setCellData | ( | int | row,
|  | int | col,
|  | const CellData & | )
| override protected virtual

Implements TableModel.

## ◆ setChecked()

void IODirTableModel::setChecked | ( | int | row,
|  | int | col,
|  | int | val )
| override protected virtual

Reimplemented from TableModel.

## ◆ setFilter()

void IODirTableModel::setFilter | ( | const char * |  | ) |

## ◆ textColor()

OD::Color IODirTableModel::textColor | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## ◆ tooltip()

uiString IODirTableModel::tooltip | ( | int | row,
|  | int | col ) const
| override protected virtual

Implements TableModel.

## Member Data Documentation

## ◆ iodir_

IODir* IODirTableModel::iodir_
| private

## ◆ iodirentrylist_

IODirEntryList* IODirTableModel::iodirentrylist_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025